Name: ltrace
Version: 0.3.26
Release: alt2

Summary: Tracks runtime library calls from dynamically linked executables
License: GPL
Group: Development/Debuggers
Url: ftp://ftp.debian.org/debian/pool/main/l/%name
ExclusiveArch: %ix86 arm m68k s390

Source: %url/%{name}_%version.tar.bz2

# Automatically added by buildreq on Thu Jun 13 2002
BuildRequires: libiberty-devel

%description
Ltrace is a debugging program which runs a specified command until it
exits.  While the command is executing, ltrace intercepts and records
the dynamic library calls which are called by the executed process and
the signals received by that process.
It can also intercept and print the system calls executed by the program.

The program to be traced need not be recompiled for this, so you can
use it on binaries for which you don't have the source handy.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

for f in `find -mindepth 2 -type f -name README\*`; do
	b="${f##*/}"
	d="${f%%/*}"
	%__install -p -m644 "$f" "$b.${d##*/}"
done

%files
%_bindir/*
%_mandir/man?/*
%config(noreplace) %_sysconfdir/*
%doc BUGS README* TODO debian/changelog

%changelog
* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.26-alt2
- Rebuilt in new environment.

* Thu Jun 13 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.26-alt1
- 0.3.26
- Changed group tag to "Development/Debuggers".

* Tue Feb 05 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.16-alt1
- 0.3.16

* Mon Dec 03 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3.15-alt1
- 0.3.15

* Wed Aug 30 2000 Dmitry V. Levin <ldv@fandra.org> 0.3.10-ipl3mdk
- RE adaptions.

* Wed Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-3mdk
- added more docs

* Tue Apr 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.3.10-2mdk
- Updated group

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-1mdk
- updated BuildRoot
- version 0.3.10
- removed necessity for patch simply to fixup manpage location

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- update to 0.3.8
- use of _tmppath and prefix
- patch to get man page in /usr/man

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.3.6.

* Mon Sep 21 1998 Preston Brown <pbrown@redhat.com>
- upgraded to 0.3.4
